Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim a As Single, b As Single, c As Single
        Dim t As Single
        a = Val(TextBox1.Text)
        b = Val(TextBox2.Text)
        c = Val(TextBox3.Text)
        If a < b Then t = a : a = b : b = t
        If a < c Then t = a : a = c : c = t
        If b < c Then t = b : b = c : c = t
        TextBox4.Text = a
        TextBox5.Text = b
        TextBox6.Text = c
    End Sub
End Class
